<?php

namespace App\Models;

use App\Traits\Models\BaseModelTrait;

class ResourceType extends BaseModel
{

    use BaseModelTrait;

    public $hasUuid = true;
    protected $fillable = [
        'id',
        'uuid',
        'name',
        'title',
        'created_by',
        'updated_by'
    ];
    protected $casts = [
        'uuid' => 'string',
    ];

    /* =========================================================================
    * Relationship
    * =========================================================================
    */

    /* =========================================================================
    * Scope
    * =========================================================================
    */

    /* =========================================================================
    * Accessor & Mutator
    * =========================================================================
    */

    /* =========================================================================
    * Other
    * =========================================================================
    */
}
